---
title: VRDevice.resetPose()
slug: Web/API/VRDisplay/resetPose
tags:
  - API
  - Deprecated
  - Experimental
  - Method
  - Reference
  - VR
  - VRDevice
  - Virtual Reality
  - WebVR
  - resetPose()
---
<div>{{APIRef("WebVR API")}}{{deprecated_header}}</div>

<p>The <code><strong>resetPose()</strong></code> method of the {{domxref("VRDisplay")}} interface resets the pose for the <code>VRDisplay</code>, treating its current {{domxref("VRPose.position")}} and {{domxref("VRPose.orientation")}} as the "origin/zero" values.</p>

<p>After <code>resetPost()</code> has been called, future poses returned from {{domxref("VRDisplay.getPose()")}}/{{domxref("VRDisplay.getImmediatePose()")}} will describe positions relative to the <code>VRDisplay</code>'s position when <code>resetPose()</code> was last called and will treat the display’s yaw when <code>resetPose()</code> was last called as the forward orientation.</p>

<p>The VRDisplay's reported roll and pitch do not change when <code>resetPose()</code> is called as they are relative to gravity. Calling <code>resetPose()</code> may change the {{domxref("VRStageParameters.sittingToStandingTransform")}} matrix.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">vrDisplayInstance.resetPose();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>Void.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Assuming vrDisplay already contains a VRDisplay object,
// and we have a &lt;button&gt; referenced inside btn
btn.addEventListener('click', function() {
  vrDisplay.resetPose();
  console.log('Current pose set as origin/center');
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrdisplay-resetpose', 'resetPose()')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplay.resetPose")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
